Groovy 1.7.0

## org.codehaus.groovy.binding
Class EventTriggerBinding

    java.lang.Object
      org.codehaus.groovy.binding.EventTriggerBinding

All Implemented Interfaces:
  TriggerBinding

    class EventTriggerBinding
    extends Object

author:
  Danno Ferrin

version:
  $Revision: 13502 $

since:
  Groovy 1.1

Nested Class Summary
`class` | `EventTriggerBinding.EventTriggerFullBinding`

Field Summary
`String` | `eventName`
`Object` | `triggerBean`

Constructor Summary
`EventTriggerBinding(Object triggerBean, String eventName)`

Method Summary
`FullBinding` | `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
`String` | `getEventName()`
`Object` | `getTriggerBean()`
`void` | `setEventName(String eventName)`
`void` | `setTriggerBean(Object triggerBean)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### eventName

    String eventName

### triggerBean

    Object triggerBean

Constructor Detail

### EventTriggerBinding

    public EventTriggerBinding(Object triggerBean, String eventName)

Method Detail

### createBinding

    public FullBinding createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)

### getEventName

    public String getEventName()

### getTriggerBean

    public Object getTriggerBean()

### setEventName

    public void setEventName(String eventName)

### setTriggerBean

    public void setTriggerBean(Object triggerBean)

Copyright © 2003-2009 The Codehaus. All rights reserved.